// -----------------
// Script for lava
// Made by McTwist (9845)
// -----------------

package LavaLiquid
{
	// When anything with armor is dropped into any liquid
	function Armor::onEnterLiquid(%armor, %player, %coverage, %type)
	{
		// Water type: Lava
		if (%type == 4 && !%player.scheduleLava)
		{
			%player.burn(3);
			%player.scheduleLava = %player.schedule(50, LavaHurtTime);
			return;
		}
		
		Parent::onEnterLiquid(%armor, %player, %coverage, %type);
	}
	// When anything with armor is leaving any liquid
	function Armor::onLeaveLiquid(%armor, %player, %type)
	{
		// Water type: Lava
		if (%type == 4)
		{
			Cancel(%player.scheduleLava);
			%player.scheduleLava = 0;
		}
		Parent::onLeaveLiquid(%armor, %player, %type);
	}
};
activatePackage(LavaLiquid);

// Schedule
function Player::LavaHurtTime(%player)
{
	// Removing spamming of schedules
	if (%player.scheduleLava)
	{
		Cancel(%player.scheduleLava);
		%player.scheduleLava = 0;
	}
	%player.damage(%player, %player.getTransform(), 100000000, $DamageType::LavaBurn);
}

AddDamageType("LavaBurn", '<bitmap:Add-Ons/Map_DemiansSlateEdits/CI_Burn> %1', '%2 <bitmap:Add-Ons/Map_DemiansSlateEdits/CI_Burn> %1', 1, 1);

// Make images downloadable
datablock DecalData(LavaTextureUploader)
{
	textureName = "./Water/lava";
};

datablock DecalData(BurnCIUploader)
{
	textureName = "./CI_Burn";
};